2017-09-25 18:36 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003701Kali Linux[All Projects] General Bugpublic2016-10-31 21:09
Reportersnyderman 
Assigned Torhertzog 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version2016.2 
Target VersionFixed in Version2017.1 
Summary0003701: netboot fails when partitioning disk
DescriptionWhen trying to boot off the most recent netboot install (10/4/2016), the install fails giving a "
The attempt to mount a file system with type ext4 in LVM VG hostname, LV root at / failed." message.

Last lines on debug console read:
partman: mke2fs 1.43.3 (04-Sep-2016)
kernel: [ 123.315303] ext4: Unknown symbol posix_acl_update_mode (err 0)

Prompts with, "Do you want to continue partitioning?" Clicking "Yes" brings back the same screen as well as "Go Back" and trying to Partition Disk via manual click.
Steps To ReproduceIt should be noted that a preseed is being used during the PXE boot to apply setting automatically. So there will be additional steps that will need to be taken for manual configuration. Failure happens at Partition Disks and has been tried across several different systems like results.
Attached Files

-Relationships
+Relationships

-Notes

~0006085

drush (reporter)

Last edited: 2016-10-30 05:19

View 2 revisions

This appears to affect more than just netboot with preseed. I've run into this issue when using a live-build setup both with and without a preseed.cfg file.

It appears this has to do with the 4.7 kernel and that the other user it affected was able to get around it by using a 4.8 kernel. (reference: http://exdebian.org/foro/el-sistema-me-qued%C3%B3-inservible-solucionado)

uname -a: Linux workstation 4.7.0-kali1-amd64 1 SMP Debian 4.7.5-1kali3 (2016-09-29) x86_64 GNU/Linux

~0006089

rhertzog (administrator)

I scheduled a rebuild of the debian-installer images to fix what looks like an unexpected mismatch between a kernel module and the kernel in which it is loaded.

Try again (tomorrow) when you see version 20160704+kali1+b1 in http://http.kali.org/dists/kali-dev/main/installer-amd64/ and let me know the result.

~0006090

snyderman (reporter)

Thank you, rhertzog. I will follow up once the new version is released and I have tested.

~0006092

rhertzog (administrator)

The new d-i images are working now.
+Notes

-Issue History
Date Modified Username Field Change
2016-10-28 19:33 snyderman New Issue
2016-10-30 05:17 drush File Added: VirtualBox_AttackImage-1029_30_10_2016_00_16_23.png
2016-10-30 05:17 drush Note Added: 0006085
2016-10-30 05:19 drush Note Edited: 0006085 View Revisions
2016-10-31 15:28 rhertzog Note Added: 0006089
2016-10-31 15:28 rhertzog Assigned To => rhertzog
2016-10-31 15:28 rhertzog Status new => assigned
2016-10-31 15:47 snyderman Note Added: 0006090
2016-10-31 21:09 rhertzog Note Added: 0006092
2016-10-31 21:09 rhertzog Status assigned => resolved
2016-10-31 21:09 rhertzog Fixed in Version => 2017.1
2016-10-31 21:09 rhertzog Resolution open => fixed
+Issue History